html, body {
  margin: 0;
  padding: 0;
  min-height: 100vh;
}

body {
  flex-direction: column;
  overflow: hidden;
  display: flex;
}

header {
  top: 0;
  background-color: rgb(221, 176, 29);
  position: sticky;
}

nav {
  background-color: rgb(219, 16, 70);
}

main {
  flex: 1;
  display: flex;
  flex-direction: column;
  background-color: green;
  max-height: 90vh;
  overflow: auto;
}

section {
  flex: 1;
  background-color: bisque;
}

aside {
  background-color: blueviolet;
}

footer {
  background-color: brown;
}